<%page expression_filter="h"/>
<%inherit file="main.html" />
<%namespace name='static' file='static_content.html'/>
<%!
from django.utils.translation import gettext as _
from django.urls import reverse

from openedx.core.djangolib.markup import HTML, Text
%>

<main id="main" aria-label="Content" tabindex="-1">
    <section class="home style-logout">
      <header>
        <div class="outer-wrapper">
          <div class="title">
            <div class="heading-group">
              % if homepage_overlay_html:
                ${homepage_overlay_html | n, decode.utf8}
              % else:
                <%include file="index_overlay.html" />
              % endif
            </div>
            % if settings.FEATURES.get('ENABLE_COURSE_DISCOVERY'):
              <div class="course-search">
                <div class="row">
                    <div class="col-md-12">
                      <form class="form-inline" action="/courses">
                        <div class="input-group flex-fill">
                          <input type="search" name="search_query" id="search" value="" placeholder="${_('Search for a course')}" class="form-control" aria-label="${_('Search for a course')}">
                          <div class="input-group-append">
                            <input type="submit" class="btn btn-primary" data-disable-with="${_('Search')}">
                          </div>
                        </div>
                      </form>
                    </div>
                  </div>
                </div>
              </div>
            % endif
          </div>
      </header>
      <%include file="${courses_list}" />

    </section>
</main>

<%block name="js_extra">
   <script type="text/javascript">
      $(window).load(function() {
         if(getParameterByName('next')) {
              $('#login').trigger("click");
         }
      })
   </script>
</%block>
